RESTinio

Public Attributes | List of all members
restinio::http_field_parsers::authorization_value_t::param_value_t Struct Reference

A storage for the value of a parameter. More...

`#include <authorization.hpp>`

## Public Attributes
std::string | value
| The value of a parameter. More...
value_form_t | form
| How this value was represented: as a token, or a quoted string? More...

## Detailed Description

A storage for the value of a parameter.

Definition at line 144 of file authorization.hpp.

## Member Data Documentation

## ◆ form

value_form_t restinio::http_field_parsers::authorization_value_t::param_value_t::form

How this value was represented: as a token, or a quoted string?

Definition at line 149 of file authorization.hpp.

## ◆ value

std::string restinio::http_field_parsers::authorization_value_t::param_value_t::value

The value of a parameter.

Definition at line 147 of file authorization.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/http_field_parsers/authorization.hpp